-- Ausgabe eines Minibilds
-- Bilddaten vom ramm
-- Taktsignale von clockgen

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_signed.ALL;
USE work.ImPackM.ALL;

ENTITY ImReadE IS
  PORT (
    Clk25 : IN  std_logic;                            -- clock vga
    Reset : IN  std_logic;                            -- Reset, low-active
    PixR  : IN  std_logic_vector(CWidth-1 DOWNTO 0);  -- ram data
    AddrR : OUT std_logic_vector(CDepth-1 DOWNTO 0);  -- ram address
    R     : OUT std_logic_vector(7 DOWNTO 0);         -- pixel R value
    G     : OUT std_logic_vector(7 DOWNTO 0);         -- pixel G value
    B     : OUT std_logic_vector(7 DOWNTO 0);         -- pixel B value
    HSync : OUT std_logic;                            -- horizontal sync
    VSync : OUT std_logic);                           -- vertical sync
END ImReadE;

ARCHITECTURE ImReadA OF ImReadE IS
BEGIN



END ImReadA;
